/*
 
   Solution l'exercice -2-
 
   Auteurs: Deitel&Deitel
 
   Ce programme permet  l'utilisateur de crer
   une couleur adapte sur mesure.
 
   Ce programme est une applet, qui utilise des
   lments se trouvant dans le fichier:
 
        MonSelecteurDeCouleurs.java
 
   Cette applet peut-tre charge par le navigateur
   par l'intermdiaire du fichier Palette.html
 
   Ajout/Modifications: Palette.html
 
*/


import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class Palette extends JApplet implements ChangeListener, ActionListener {

    private MonSelecteurDeCouleurs selecteurCouleur;
    private JPanel voletDessin;

    public void init() {

	selecteurCouleur = new MonSelecteurDeCouleurs();

	Container c = getContentPane();
	c.add( selecteurCouleur, BorderLayout.SOUTH );

	JSlider rouge = selecteurCouleur.getGlissiereRouge();
	rouge.addChangeListener( this );
	JTextField champRouge = selecteurCouleur.getAffichageRouge();
	champRouge.addActionListener( this );

	JSlider vert = selecteurCouleur.getGlissiereVert();
	vert.addChangeListener( this );
	JTextField champVert = selecteurCouleur.getAffichageVert();
	champVert.addActionListener( this );

	JSlider bleu = selecteurCouleur.getGlissiereBleu();
	bleu.addChangeListener( this );
	JTextField champBleu = selecteurCouleur.getAffichageBleu();
	champBleu.addActionListener( this );

	voletDessin = new JPanel();
	c.add( voletDessin, BorderLayout.CENTER );
    }

    // Dessiner directement sur le JPanel.
    public void stateChanged( ChangeEvent e ) {
	dessinSurVolet();
    }

    public void actionPerformed( ActionEvent e ) {
	dessinSurVolet();
    }

    public void paint( Graphics gg ) {
	super.paint( gg );
	dessinSurVolet();
    }

    private void dessinSurVolet() {
	Graphics g = voletDessin.getGraphics();
	g.setColor( selecteurCouleur.getCouleur() );
	g.fillRect( 50, 50, 50, 50 );
    }
}
